package es.upvmaster.fullmediaplayer;

/**
 * Created by crpor on 21/08/2016.
 */
public class EntradaSistemaArchivo {
    private String Path;
    private String Name;
    private boolean isDir;
    private boolean isMusic;
    private boolean isVideo;

    public EntradaSistemaArchivo (String Name,String Path,boolean dir, boolean music, boolean video){
        this.Name = Name;
        this.Path = Path;
        this.isDir = dir;
        this.isMusic = music;
        this.isVideo = video;
    }

    public void setName(String Name) {
        this.Name = Name;
    }
    public void setPath(String Path){
        this.Path = Path;
    }
    public void setIsDir(boolean dir){
        this.isDir = dir;
    }
    public String getName() {
        return this.Name;
    }
    public String getPath() {
        return this.Path;
    }
    public boolean isDirectory() {
        return this.isDir;
    }
    public boolean isMusicFile() {
        return this.isMusic;
    }
    public boolean isVideoFile() {
        return this.isVideo;
    }
}
